### Method

# GObject Object freeze_notify

#### Declaration [src]

    void
    g_object_freeze_notify (
      GObject* object
    )

#### Description [src]

Increases the freeze count on `object`. If the freeze count is non-zero, the emission of “notify” signals on `object` is stopped. The signals are queued until the freeze count is decreased to zero. Duplicate notifications are squashed so that at most one `GObject::notify` signal is emitted for each property modified while the object is frozen.

This is necessary for accessors that modify multiple properties to prevent premature notification while the object is still being modified.